<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

include ("../inc/config.inc.php");
?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_date.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php require ("../inc/fic.inc.php") ?>
<?php require_once ("../classes/xpm/smtp.php"); ?>
<?php require ("../inc/mail.inc.php") ?>

<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>

<?PHP
	if (@$_POST['ndir'] <> "")
	{
		$dir = strtolower(@$_POST['dir']);
		if (substr($dir, 0, 1) <> '.') // Contrôle de hack
		{
			$nouv_dir = str_upload(@$_POST['ndir']);
			if (ereg("^[a-z0-9_]+$", $nouv_dir))
			{
				if ($nouv_dir <> @$_POST['dir'])
					$chemin_complet = $url_gfc."/".@$_POST['dir']."/".$nouv_dir;
				else
					$chemin_complet = $url_gfc."/".$nouv_dir;
	
				if (!is_dir($chemin_complet))
				{
					if (mkdir ($chemin_complet, 0755))
					{
						$codeuser = @$HTTP_SESSION_VARS["code_log"];
			
						$desc = $_POST['desc'];
						
						$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
						mysql_select_db(DBNAME);
						$rech = "INSERT INTO " .TBFIC;
						$rech .= " (fic_nom,fic_type,fic_desc,fic_datecrea,fic_codecrea,fic_nbtel) VALUES";
						$rech .= " ('$chemin_complet','1','$desc','$datea','$codeuser','')";
						$rs = mysql_query($rech) or die(mysql_error());
						mysql_close($conn);
		
						// Envoi d'email vers l'administrateur
						envoi_mail("Création de répertoire","dir","cre","xxx","wm",$chemin_complet,"","",FALSE);
		
						$msg = "Répertoire créé !";
						$retourliste = TRUE;
					}
					else
					{
						$msg = "Impossible de créer le répertoire";
						$retourliste = FALSE;
					}
				}
				else
				{
					$msg = "Ce répertoire existe déjà !";
					$retourliste = FALSE;
				}
				
			}
			else
			{
				$msg = "Nom de répertoire incorrect";
				$retourliste = FALSE;
			}
		}
		else
		{
			$msg = "Nom de répertoire incorrect";
			$retourliste = FALSE;
		}
	}
	else
	{
		$msg = "Nom de répertoire incorrect";
		$retourliste = FALSE;
	}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Cr&eacute;ation r&eacute;pertoire</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../inc/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour validation des formulaires -->
<script language="JavaScript" src="../inc/validator.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

</head>
<body>

<p align="center"><span class="titrepage">CREATION DE REPERTOIRE</span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<?PHP
if ($retourliste == TRUE)
{
?>
	<p align="center" class="annot_std_it">Retour à la liste des fichiers dans 2 secondes...</p>
	<!-- Fermeture temporisée -->
	<script type="text/javascript">
		window.opener.location.reload();
		setTimeout("self.close('fscomp');",2000)
	</script>
<?PHP
}
else
{
?>
	<p align="center" class="annot_std_it">Retour à la liste des fichiers dans 5 secondes...</p>
	<!-- Fermeture temporisée -->
	<script type="text/javascript">
		window.opener.location.reload();
		setTimeout("self.close('fscomp');",5000)
	</script>
<?PHP
}
?>
<p align="center">Sinon, <a href="javascript:void(0)" onClick="javascript:; window.opener.location.reload(); self.close('fscomp');">cliquez ici</a> </p>

</body>
</html>
